import api from "@/api/api";
import { useAuthStore } from "@/store/authStore";
import { Auth } from "@/types/auth";
import { UserService } from "./userService";
import { useUserStore } from "@/store/userStore";

export class AuthService {
  static async login(auth: Auth) {
    const token = await api.login(auth);
    useAuthStore.getState().setAccessToken(token.accessToken);
    localStorage.setItem('refreshToken', token.refreshToken as string);
    await UserService.getProfile().then((user) => {
      useUserStore.getState().setUser(user);
    });
  }

  static async logout() {
    console.log('logout');
    useUserStore.getState().setUser(null);
    useAuthStore.getState().setAccessToken(null);
    localStorage.removeItem('userInfo');
    localStorage.removeItem('refreshToken');
  }

  static async refresh() {
    console.log('refresh');
    const token = await api.refreshToken();
    useAuthStore.getState().setAccessToken(token.accessToken);
  }
}
